Patch "selftests: icmp_redirect: pass xfail=0 to log_test()" has been added to the 5.15-stable tree

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



This is a note to let you know that I've just added the patch titled

    selftests: icmp_redirect: pass xfail=0 to log_test()

to the 5.15-stable tree which can be found at:
    http://www.kernel.org/git/?p=linux/kernel/git/stable/stable-queue.git;a=summary

The filename of the patch is:
     selftests-icmp_redirect-pass-xfail-0-to-log_test.patch
and it can be found in the queue-5.15 subdirectory.

If you, or anyone else, feels it should not be added to the stable tree,
please let <stable@xxxxxxxxxxxxxxx> know about it.



commit 239f1391e4b0107ae3a6e208f142d24a7fb97566
Author: Po-Hsu Lin <po-hsu.lin@xxxxxxxxxxxxx>
Date:   Fri Dec 10 15:25:23 2021 +0800

    selftests: icmp_redirect: pass xfail=0 to log_test()
    
    [ Upstream commit 3748939bce3fc7a15ef07161826507fbe410bb7a ]
    
    If any sub-test in this icmp_redirect.sh is failing but not expected
    to fail. The script will complain:
        ./icmp_redirect.sh: line 72: [: 1: unary operator expected
    
    This is because when the sub-test is not expected to fail, we won't
    pass any value for the xfail local variable in log_test() and thus
    it's empty. Fix this by passing 0 as the 4th variable to log_test()
    for non-xfail cases.
    
    v2: added fixes tag
    
    Fixes: 0a36a75c6818 ("selftests: icmp_redirect: support expected failures")
    Signed-off-by: Po-Hsu Lin <po-hsu.lin@xxxxxxxxxxxxx>
    Signed-off-by: David S. Miller <davem@xxxxxxxxxxxxx>
    Signed-off-by: Sasha Levin <sashal@xxxxxxxxxx>

diff --git a/tools/testing/selftests/net/icmp_redirect.sh b/tools/testing/selftests/net/icmp_redirect.sh
index ecbf57f264ed9..7b9d6e31b8e7d 100755
--- a/tools/testing/selftests/net/icmp_redirect.sh
+++ b/tools/testing/selftests/net/icmp_redirect.sh
@@ -311,7 +311,7 @@ check_exception()
 		ip -netns h1 ro get ${H1_VRF_ARG} ${H2_N2_IP} | \
 		grep -E -v 'mtu|redirected' | grep -q "cache"
 	fi
-	log_test $? 0 "IPv4: ${desc}"
+	log_test $? 0 "IPv4: ${desc}" 0
 
 	# No PMTU info for test "redirect" and "mtu exception plus redirect"
 	if [ "$with_redirect" = "yes" ] && [ "$desc" != "redirect exception plus mtu" ]; then



[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Index of Archives]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux